Skip to main content
GET
/
v1
/
compute
/
suspensions
List suspended machines
curl --request GET \
  --url https://api.cnap.tech/v1/compute/suspensions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "workspace_id": "<string>",
    "cluster_id": "<string>",
    "server_type": "cpx31",
    "location": "fsn1",
    "hostname": "cnap-xl8r2abc",
    "reason": "manual",
    "provider_suspend_data": {
      "provider": "<string>",
      "snapshot_id": 123,
      "size_gb": 123
    },
    "monthly_cost_cents": 123,
    "expires_at": 123,
    "created_at": 123
  }
]

Authorizations

Authorization
string
header
required

Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens

Response

List of suspensions

id
string
required
workspace_id
string
required
cluster_id
string
required
server_type
string
required
Example:

"cpx31"

location
string
required
Example:

"fsn1"

hostname
string
required
Example:

"cnap-xl8r2abc"

reason
enum<string>
required
Available options:
manual,
downgrade
provider_suspend_data
object
required
monthly_cost_cents
number
required
expires_at
number
required
created_at
number
required